# iconfont字体包替换流程

## 一、解压文件

将下载的额iconfont包的大小整个解压复制到当前文件

## 二、替换demo_index.html模板

1.替换头部

 ``` html
<head>
 <meta charset="utf-8" />
 <title>iconfont Demo</title>
 <link rel="stylesheet" href="./src/cube.min.css">
 <link rel="stylesheet" href="./src/demo.css">
 <link rel="stylesheet" href="iconfont.css">
 <script src="./src/iconfont.js"></script>
 <!-- jQuery -->
 <script src="./src/jquery.js"></script>
 <!-- 代码高亮 -->
 <script src="./src/prism.js"></script>
 <script src="./src/layer/layer.js" type="text/javascript" charset="utf-8"></script>
 <script src="./src/index.js" type="text/javascript" charset="utf-8"></script>
</head>
```

2.删除class为main的div的整个代码结构

``` html
  <div class="main">
    <h1 class="logo"><a href="https://www.iconfont.cn/" title="iconfont 首页" target="_blank">
      <img width="200" src="https://img.alicdn.com/imgextra/i3/O1CN01Mn65HV1FfSEzR6DKv_!!6000000000514-55-tps-228-59.svg">
      
    </a></h1>
    <div class="nav-tabs">
      <ul id="tabs" class="dib-box">
        <li class="dib active"><span>Unicode</span></li>
        <li class="dib"><span>Font class</span></li>
        <li class="dib"><span>Symbol</span></li>
      </ul>
      
      <a href="https://www.iconfont.cn/manage/index?manage_type=myprojects&projectId=4493796" target="_blank" class="nav-more">查看项目</a>
      
    </div>

```

3.删除class为content unicode的div结构和class为content symbol的div结构只留下class为content font-class的div结构 最后的body的代码结构为下面。

``` html
<div class="main">
   <div class="tab-container">
    <div class="content font-class">
     
    </div>
   </div>
  </div>
```

4.删除class为content font-class的div结构 下面的除了ul结构外的其他代码。最后body代码结构为下面

``` html
<div class="main">
   <div class="tab-container">
    <div class="content font-class">
     <ul class="icon_lists dib-box">
  ......
     </ul>
    </div>
   </div>
  </div>
```

5.删除body里的整个script脚本代码。以下代码移除掉。

``` javascript
<script>
  $(document).ready(function () {
      $('.tab-container .content:first').show()

      $('#tabs li').click(function (e) {
        var tabContent = $('.tab-container .content')
        var index = $(this).index()

        if ($(this).hasClass('active')) {
          return
        } else {
          $('#tabs li').removeClass('active')
          $(this).addClass('active')

          tabContent.hide().eq(index).fadeIn()
        }
      })
    })
  </script>
```

## 三、模板打包为zip

将整个模板的内容打包为zip包，gis基础图标库重命名为base_font.zip。gis业务图标库重命名为gis_font.zip。旧版本的业务图标库重命名为iconfont.zip。
特别注意，保证zip的根目录不是一个文件夹，直接就是当前模板的所有文件。
